<mt-card
    position-identifier="blurElysium.slide.form.cover"
    :title="$tc('blurElysiumSlides.forms.slideCover.label')"
    :class="['content-no-padding']">

    <template #headerRight>

        <blur-device-switch 
            layout="row"
            show-label="false"
            :default-viewport="currentDevice"
            :style="{
                padding: '0',
                width: '100%',
                justifyContent: 'center',
                '--container-gap': '12px',
                '--icon-padding': '6px',
                '--icon-bg-color': '#ffffff',
                '--icon-hover-bg-color': 'var(--color-gray-100)',
            }" />
    </template>

    <template #tabs>
        <mt-tabs 
            :defaultItem="activeTab"
            :items="tabs"
            @new-item-active="activeTab = $event"
        />
    </template>

    <blur-section>

        <blur-column
            padding
            :cols-tablet="6"
            :cols-desktop="8"
            :style="viewStyle({
                desktop: { borderRight: '1px solid var(--color-border-primary-default)' }
            })">

            <template v-if="activeTab === 'coverImage'">

                <blur-section
                    gap-y
                    :description="$tc('blurElysiumSlides.forms.slideCoverImage.description')">

                    <blur-column>
                        <blur-elysium-media-upload 
                            allowed-file="image/*"
                            :uploadTag="coverImageUploadTag" 
                            :media="coverImageMedia" 
                            :disabled="!(permissionCreate || permissionEdit)"
                            @media-remove="payload => resetMedia( coverImageProperty )"
                            @upload-finished="payload => setMedia( coverImageProperty, payload.targetId )"
                            @media-dropped="payload => setMedia( coverImageProperty, payload.id, 'image')"
                            @media-sidebar-open="mediaSidebar.openContent()" />
                    </blur-column>

                </blur-section>
            </template>

            <template v-if="activeTab === 'coverVideo'">

                <blur-section
                    gap-y
                    :description="$tc('blurElysiumSlides.forms.slideCoverVideo.description')">

                    <blur-column>
                        <blur-elysium-media-upload 
                            allowed-file="image/*"
                            :uploadTag="'blur-elysium-slide-cover-video'" 
                            :media="coverVideoMedia" 
                            :disabled="!(permissionCreate || permissionEdit)"
                            :style="{ gridColumnEnd: 'span 12' }"
                            @media-remove="payload => resetMedia( 'slideCoverVideo' )"
                            @upload-finished="payload => setMedia( 'slideCoverVideo', payload.targetId )"
                            @media-dropped="payload => setMedia( 'slideCoverVideo', payload.id, 'image')"
                            @media-sidebar-open="mediaSidebar.openContent()" />
                    </blur-column>

                </blur-section>
            </template>
        </blur-column>

        <blur-column
            padding
            :cols-tablet="6"
            :cols-desktop="4">

            <blur-section
                gap-y>

                <blur-column>
                    <blur-select-input 
                        :label="$tc('blurElysium.general.objectPosY')" 
                        :placeholder="viewportsPlaceholder('coverMedia.objectPosY', 'center', 'blurElysium.general')"
                        :device="currentDevice"
                        :show-device="true"
                        :options="[
                            { value: 'top', label: $tc('blurElysium.general.top') },
                            { value: 'center', label: $tc('blurElysium.general.center') },
                            { value: 'bottom', label: $tc('blurElysium.general.bottom') }
                        ]"
                        @on-device="deviceSwitch"
                        v-model:value="viewportSettings.coverMedia.objectPosY" />
                </blur-column>

                <blur-column>
                    <blur-select-input
                        :label="$tc('blurElysium.general.objectPosX')" 
                        :placeholder="viewportsPlaceholder('coverMedia.objectPosX', 'center', 'blurElysium.general')"
                        :device="currentDevice"
                        :show-device="true"
                        :options="[
                            { value: 'left', label: $tc('blurElysium.general.left') },
                            { value: 'center', label: $tc('blurElysium.general.center') },
                            { value: 'right', label: $tc('blurElysium.general.right') }
                        ]"
                        @on-device="deviceSwitch"
                        v-model:value="viewportSettings.coverMedia.objectPosX" />
                </blur-column>

                <blur-column>
                    <blur-select-input 
                        :label="$tc('blurElysium.general.objectFit')" 
                        :placeholder="viewportsPlaceholder('coverMedia.objectFit', 'cover', 'blurElysium.general')"
                        :device="currentDevice"
                        :show-device="true"
                        :options="[
                            { value: 'cover', label: $tc('blurElysium.general.cover') },
                            { value: 'contain', label: $tc('blurElysium.general.contain') },
                            { value: 'auto', label: $tc('blurElysium.general.auto') }
                        ]"
                        @on-device="deviceSwitch"
                        v-model:value="viewportSettings.coverMedia.objectFit" />
                </blur-column>

            </blur-section>
        </blur-column>

    </blur-section>

</mt-card>